if [ "${MODULE_VERSION:-}" = "" ]; then
        MODULE_VERSION_STACK="3.2.10"
        MODULE_VERSION="3.2.10"
        export MODULE_VERSION
else
        MODULE_VERSION_STACK="$MODULE_VERSION"
fi
export MODULE_VERSION_STACK

case $SHELL in
  *bash)
    module() { eval `/usr/local/Modules/$MODULE_VERSION/bin/modulecmd bash $*`; }
    ;;
  *zsh)
    module() { eval `/usr/local/Modules/$MODULE_VERSION/bin/modulecmd zsh $*`; }
    ;;
  *)
    module() { eval `/usr/local/Modules/$MODULE_VERSION/bin/modulecmd sh $*`; }
    export -f module
    ;;
esac

MODULESHOME=/usr/local/Modules/3.2.10
MODULERCFILE=/cluster/modules/rc
export MODULESHOME
export MODULERCFILE

if [ "${LOADEDMODULES:-}" = "" ]; then
  LOADEDMODULES=
  export LOADEDMODULES
fi

if [ "${MODULEPATH:-}" = "" ]; then
  MODULEPATH=`sed -n 's/[       #].*$//; /./H; $ { x; s/^\n//; s/\n/:/g; p; }' ${MODULESHOME}/init/.modulespath`
  MODULEPATH=/cluster/modules/all/:$MODULEPATH
  export MODULEPATH
fi

if [ ${BASH_VERSINFO:-0} -ge 3 ] && [ -r ${MODULESHOME}/init/bash_completion ]; then
 . ${MODULESHOME}/init/bash_completion
fi

module load GCC
module load CUDA
module load OpenMPI
